/*
 * Decompiled with CFR 0.152.
 * 
 * Could not load the following classes:
 *  fire.pb.shop.srv.Shop
 *  fire.pb.shop.srv.market.MarketManager
 *  fire.pb.shop.srv.market.floating.FloatingMarketManager
 *  fire.pb.shop.srv.market.floating.FloatingMarketManager$StatisticsMarket
 *  fire.pb.shop.utils.MarketUtils
 *  mkdb.Procedure
 */
package fire.pb.shop.srv.floating;

import fire.pb.shop.srv.Shop;
import fire.pb.shop.srv.floating.FileterFloatingShop;
import fire.pb.shop.srv.floating.FloatingOneManager;
import fire.pb.shop.srv.market.MarketManager;
import fire.pb.shop.srv.market.floating.FloatingMarketManager;
import fire.pb.shop.utils.MarketUtils;
import java.util.List;
import mkdb.Procedure;

public class FloatingShopPriceTask
implements Runnable {
    private long intervalTime = 300000L;
    private long nextRefreshTime = 0L;
    private long nextMarketStatisticsTime = 0L;

    public FloatingShopPriceTask() {
        if (Shop.LOG.isDebugEnabled()) {
            Shop.LOG.debug((Object)"价格浮动定时器启动");
        }
        long currTime = System.currentTimeMillis();
        this.nextMarketStatisticsTime = currTime + MarketUtils.getFloatingPriceTime();
    }

    @Override
    public void run() {
        long currTime = System.currentTimeMillis();
        try {
            if (currTime >= this.nextRefreshTime) {
                if (Shop.LOG.isDebugEnabled()) {
                    Shop.LOG.debug((Object)"定时执行统计浮动价格商店");
                }
                this.nextRefreshTime = currTime + this.intervalTime;
                FileterFloatingShop.getInstance().refreshNpcSale();
                final List<Long> noFloatingShopIds = FileterFloatingShop.getInstance().getNoFloatingShopIds();
                new Procedure(){

                    protected boolean process() throws Exception {
                        FloatingOneManager.getInstance().removeStatisticsShopData(noFloatingShopIds);
                        return true;
                    }
                };
            }
        }
        catch (Exception e) {
            Shop.LOG.error((Object)"重新加载统计价格浮动商店", (Throwable)e);
        }
        try {
            List<Long> floatingOneShopIds = FileterFloatingShop.getInstance().getFloatingOneShopIds();
            FloatingOneManager floatingOneManager = FloatingOneManager.getInstance();
            floatingOneManager.getClass();
            floatingOneManager.new FloatingOneManager.StatisticsOne(floatingOneShopIds, currTime).submit();
        }
        catch (Exception e) {
            Shop.LOG.error((Object)"调用商会价格浮动统计功能出错", (Throwable)e);
        }
        try {
            if (currTime >= this.nextMarketStatisticsTime) {
                if (Shop.LOG.isDebugEnabled()) {
                    Shop.LOG.debug((Object)"定时执行拍卖价格浮动统计");
                }
                this.nextMarketStatisticsTime = currTime + MarketUtils.getFloatingPriceTime();
                new FloatingMarketManager.StatisticsMarket(FloatingMarketManager.getInstance()).submit();
            }
        }
        catch (Exception e) {
            MarketManager.LOG.error((Object)"调用拍卖价格浮动统计功能出错", (Throwable)e);
        }
    }
}

